Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar.exceptions
Class KemetAPIException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.kemet.impl.grammar.exceptions.KemetAPIException

All Implemented Interfaces:
  java.io.Serializable

    public class KemetAPIException

extends java.lang.Exception

Since:
  0.4
Author:
  fabricemaupin

  KemetAPIException : exceptions for KemetAPI.

See Also:
  Serialized Form

Constructor Summary
`KemetAPIException(ExceptionLevelEnum error, java.lang.Exception excp)` initialize exception (level, exception).
`KemetAPIException(ExceptionLevelEnum error, java.lang.String message)` initialize exception (level, message).
`KemetAPIException(ExceptionLevelEnum error, java.lang.String message, java.lang.Exception excp)` initialize exception (level, message, exception).

Method Summary
`ExceptionLevelEnum` | `getLevel()` return level of exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KemetAPIException

    public KemetAPIException(ExceptionLevelEnum error,
                             java.lang.String message,
                             java.lang.Exception excp)

  initialize exception (level, message, exception).

  Parameters:
    `error` - level of exception
    `message` - message of exception
    `excp` - exception raised
  Since:
    0.4

### KemetAPIException

    public KemetAPIException(ExceptionLevelEnum error,
                             java.lang.Exception excp)

  initialize exception (level, exception).

  Parameters:
    `error` - level of exception
    `excp` - exception raised
  Since:
    0.5

### KemetAPIException

    public KemetAPIException(ExceptionLevelEnum error,
                             java.lang.String message)

  initialize exception (level, message).

  Parameters:
    `error` - level of exception
    `message` - message of exception
  Since:
    0.5

Method Detail

### getLevel

    public ExceptionLevelEnum getLevel()

  return level of exception.

  Returns:
    level
  Since:
    0.5

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.